Bug 186320 - stagify games/xshisen
Summary: stagify games/xshisen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-01 04:20 UTC by TsurutaniNaoki
Modified: 2014-02-02 12:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.84 KB, patch)
2014-02-01 04:20 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2014-02-01 04:20:00 UTC
	stagify.
Comment 1 Pawel Pekala freebsd_committer 2014-02-01 20:18:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-02-02 12:05:37 UTC
Author: pawel
Date: Sun Feb  2 12:05:23 2014
New Revision: 342275
URL: http://svnweb.freebsd.org/changeset/ports/342275
QAT: https://qat.redports.org/buildarchive/r342275/

Log:
  - Stage support [1]
  - Fix pkg-descr text alignment
  
  PR:		ports/186320
  Submitted by:	maintainer

Added:
  head/games/xshisen/files/patch-Makefile.in   (contents, props changed)
Modified:
  head/games/xshisen/Makefile
  head/games/xshisen/pkg-descr
  head/games/xshisen/pkg-plist

Modified: head/games/xshisen/Makefile
==============================================================================
--- head/games/xshisen/Makefile	Sun Feb  2 11:37:14 2014	(r342274)
+++ head/games/xshisen/Makefile	Sun Feb  2 12:05:23 2014	(r342275)
@@ -16,37 +16,25 @@ GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--sharedstatedir="${DATADIR}"
 INSTALL_TARGET=	install-prog
 
-MANLANG=	"" ja
-MAN6=		xshisen.6
-
 .if !defined(WITHOUT_MOTIF)
 USES=		motif
 CONFIGURE_ARGS+=	--with-motif
 .endif
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e \
 		's|XSHISEN_VERSION|${PORTVERSION}|g' ${WRKSRC}/lang/XShisen.ad*
 
 post-install:
-	@${CHOWN} root:games ${PREFIX}/bin/xshisen
-	@${CHMOD} 2555 ${PREFIX}/bin/xshisen
-	@${CHOWN} root:games ${DATADIR}/xshisen.scores
-	@${CHMOD} 0660 ${DATADIR}/xshisen.scores
 	${INSTALL_MAN} ${WRKSRC}/man/xshisen.6 \
-		${MAN6PREFIX}/man/man6/xshisen.6
+		${STAGEDIR}${MAN6PREFIX}/man/man6/xshisen.6
 	${INSTALL_MAN} ${WRKSRC}/man/xshisen.6.ja_JP.eucJP \
-		${MAN6PREFIX}/man/ja/man6/xshisen.6
-	@${MKDIR} ${PREFIX}/lib/X11/app-defaults
+		${STAGEDIR}${MAN6PREFIX}/man/ja/man6/xshisen.6
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/X11/app-defaults
 	${INSTALL_DATA} ${WRKSRC}/lang/XShisen.ad \
-		${PREFIX}/lib/X11/app-defaults/XShisen
-	@${MKDIR} ${PREFIX}/lib/X11/ja_JP.eucJP/app-defaults
+		${STAGEDIR}${PREFIX}/lib/X11/app-defaults/XShisen
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/X11/ja_JP.eucJP/app-defaults
 	${INSTALL_DATA} ${WRKSRC}/lang/XShisen.ad.ja_JP.eucJP \
-		${PREFIX}/lib/X11/ja_JP.eucJP/app-defaults/XShisen
-	-${TEST} -d ${PREFIX}/lib/X11/ja_JP.EUC/ -a \
-	      -d ${PREFIX}/lib/X11/ja_JP.EUC/app-defaults && \
-		${LN} -s ${PREFIX}/lib/X11/ja_JP.eucJP/app-defaults/XShisen \
-			${PREFIX}/lib/X11/ja_JP.EUC/app-defaults || ${TRUE}
+		${STAGEDIR}${PREFIX}/lib/X11/ja_JP.eucJP/app-defaults/XShisen
 
 .include <bsd.port.mk>

Added: head/games/xshisen/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xshisen/files/patch-Makefile.in	Sun Feb  2 12:05:23 2014	(r342275)
@@ -0,0 +1,41 @@
+--- Makefile.in.orig	2002-07-10 05:16:48.000000000 +0200
++++ Makefile.in	2014-02-02 12:37:24.889535933 +0100
+@@ -53,24 +53,25 @@
+ 
+ install-prog: $(PROGS)
+ 	@echo "XShisen executable directory is " $(bindir)
+-	@$(MKDIR) $(bindir)
+-	@chmod 755 $(bindir)
+-	$(INSTALLP) $(PROGS) $(bindir)/$(PROGS)
++#	@$(MKDIR) $(bindir)
++#	@chmod 755 $(bindir)
++	$(INSTALLP) $(PROGS) $(DESTDIR)$(bindir)/$(PROGS)
+ 	@echo "XShisen data directory is " $(XSHISENLIB)
+-	@$(MKDIR) $(XSHISENDAT)
+-	@chmod 755 $(XSHISENDAT)
+-	@if [ -f $(XSHISENDAT)/$(SCF) ]; then \
+-	echo "Old high-score file exists."; \
+-	else\
+-	$(INSTALL) -m 0666 $(SCF) $(XSHISENDAT)/$(SCF); \
+-	fi
+-	@$(MKDIR) $(XSHISENLIB)
++	@$(MKDIR) $(DESTDIR)$(XSHISENDAT)
++	@chmod 755 $(DESTDIR)$(XSHISENDAT)
++	$(INSTALL) -m 0666 $(SCF) $(DESTDIR)$(XSHISENDAT)/$(SCF)
++#	@if [ -f $(XSHISENDAT)/$(SCF) ]; then \
++#	echo "Old high-score file exists."; \
++#	else\
++#	$(INSTALL) -m 0666 $(SCF) $(DESTDIR)$(XSHISENDAT)/$(SCF); \
++#	fi
++	@$(MKDIR) $(DESTDIR)$(XSHISENLIB)
+ 	@set -x; \
+ 	for dir in pixmaps/s?; do \
+ 		dn=`basename $$dir`; \
+-		$(MKDIR) $(XSHISENLIB)/$$dn; \
++		$(MKDIR) $(DESTDIR)$(XSHISENLIB)/$$dn; \
+ 		for file in $$dir/*.xpm; do \
+-			fn=$(XSHISENLIB)/$$dn/`basename $$file`; \
++			fn=$(DESTDIR)$(XSHISENLIB)/$$dn/`basename $$file`; \
+ 			$(INSTALLD) $$file $$fn; \
+ 		done; \
+ 	done

Modified: head/games/xshisen/pkg-descr
==============================================================================
--- head/games/xshisen/pkg-descr	Sun Feb  2 11:37:14 2014	(r342274)
+++ head/games/xshisen/pkg-descr	Sun Feb  2 12:05:23 2014	(r342275)
@@ -1,6 +1,5 @@
 xshisen - Shisen-sho puzzle game for X11
 
-
-       xshisen  is  a puzzle game for X11.  Similar to the famous
-       "Shang-hai", your objective is to remove all the pieces on
-       the board.
+xshisen is a puzzle game for X11.Similar to the famous
+"Shang-hai", your objective is to remove all the pieces on
+the board.

Modified: head/games/xshisen/pkg-plist
==============================================================================
--- head/games/xshisen/pkg-plist	Sun Feb  2 11:37:14 2014	(r342274)
+++ head/games/xshisen/pkg-plist	Sun Feb  2 12:05:23 2014	(r342275)
@@ -1,4 +1,8 @@
+@group games
+@mode 2555
 bin/xshisen
+@group
+@mode
 lib/X11/app-defaults/XShisen
 lib/X11/ja_JP.eucJP/app-defaults/XShisen
 %%DATADIR%%/s1/chun.xpm
@@ -73,7 +77,13 @@ lib/X11/ja_JP.eucJP/app-defaults/XShisen
 %%DATADIR%%/s2/s9.xpm
 %%DATADIR%%/s2/sha.xpm
 %%DATADIR%%/s2/ton.xpm
+@group games
+@mode 0660
 %%DATADIR%%/xshisen.scores
+@group
+@mode
+man/man6/xshisen.6.gz
+man/ja/man6/xshisen.6.gz
 @dirrm %%DATADIR%%/s2
 @dirrm %%DATADIR%%/s1
 @dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2014-02-02 12:05:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!